# Module `awful.layout`

### Info:

- Copyright: 2008 Julien Danjou
- Release: v3.5.4
- Author: Julien Danjou <julien@danjou.info>

## Functions

get (screen) | Get the current layout.
inc (layouts, i, s) | Change the layout of the current tag.
set (_layout, t) | Set the layout function of the current tag.
arrange (screen) | Arrange a screen using its current layout.
getname (layout) | Get the current layout name.

## Functions

get (screen)
  Get the current layout.

  ### Parameters:

  - screen The screen number.

  ### Returns:

  The layout function.
inc (layouts, i, s)
  Change the layout of the current tag.

  ### Parameters:

  - layouts A table of layouts.
  - i Relative index.
  - s The screen number.
set (_layout, t)
  Set the layout function of the current tag.

  ### Parameters:

  - _layout Layout name.
  - t The tag to modify, if null tag.selected() is used.
arrange (screen)
  Arrange a screen using its current layout.

  ### Parameters:

  - screen The screen to arrange.
getname (layout)
  Get the current layout name.

  ### Parameters:

  - layout The layout.

  ### Returns:

  The layout name.

generated by LDoc 1.4.2